function make_directory_structure(paths)

paths_names = fieldnames(paths);
for i = 1:length(paths_names)
    dir_path = getfield(paths, paths_names{i});
    if ~exist(dir_path, 'dir')
        mkdir(dir_path);
    end
end

end
